
QGIS Application - Bug report #16324

RGB palettes are dropped on export

2017-03-08 08:50 AM - Mira Ressel

Status: Closed

Priority: Low

Assignee:

Category: Rasters

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24234

Description

When GeoTiff rasters using an RGB palette encoding are exported using "Layer -> Save as", the palette metadata is omitted from the

exported file.

Steps to reproduce:

    -  Load the attached palette_example.tif raster

    -  Export is using "Layer -> Save as" (output mode "raw data", format GeoTiff)

    -  The exported TIFF will have identical pixel values, but no palette information, so it'll be displayed in "singleband grey" mode.

History

#1 - 2017-03-08 08:54 AM - Giovanni Manghi

- Status changed from Open to Feedback

save it using the "rendered image" option, you'll get a RGB raster that then you cna converted to palleted with the "rgb to pct" tool. Sounds fair enough?

#2 - 2017-03-08 09:14 AM - Mira Ressel

Thanks for the tip. I'll admit this is a low-priority bug with many possible workarounds, but it is nevertheless a bug which should be fixed in the long run.

The gdal command-line utilities handle paletted TIFFs just fine, so it's apparently possible to implement this.

#3 - 2017-03-08 09:17 AM - Giovanni Manghi

- Priority changed from Normal to Low

- Status changed from Feedback to Open

Luis Ressel wrote:

Thanks for the tip. I'll admit this is a low-priority bug with many possible workarounds, but it is nevertheless a bug which should be fixed in the long

run.

The gdal command-line utilities handle paletted TIFFs just fine, so it's apparently possible to implement this.

not sure raster "save as" uses gdal at all.
#4 - 2017-03-08 10:57 AM - Mira Ressel

Giovanni Manghi wrote:

not sure raster "save as" uses gdal at all.

I think so, since the "Save as" dialog offers some GDAL-specific compression settings in the "Create Options" tab.

#5 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
